Requirements

The following tools are necessary in order to run SSO (SPNEGO) with SNS Firewalls:

  • A Stormshield firewall in version 3 or higher,
  • A Windows server with Active Directory enabled and configured. The compatible versions of Microsoft Windows Server are:
    • Windows Server 2008 and 2008 R2,
    • Windows Server 2012 and 2012 R2,
    • Windows Server 2016.
  • The spnego.bat v1.6 script available in your client area. This script requires the installation of the following system tools on the server:

    • Reg.exe to handle the server's registry base,
    • Setspn.exe to define the name of the service in the Active Directory,
    • Ktpass.exe to retrieve the encryption key (keytab),
    • Ldifde.exe to query the LDAP.

NOTE

  • Workstations connected to the Active Directory domain, equipped with an SPNEGO-compatible browser. In order for SPNEGO to operate optimally, you are advised to use the latest version of Microsoft Internet Explorer, Microsoft Edge, Google Chrome and Mozilla Firefox (ESR version - Extended Support Release) browsers. For further information on these versions, please refer to the relevant vendors for the life cycles of their products.
  •